This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 993353 - slic3r: FTBFS in rawhide
slic3r: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: slic3r (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
: 1019827 (view as bug list)
Depends On: 992675
Blocks: F20FTBFS
  Show dependency treegraph
 
Reported: 2013-08-05 16:30 EDT by Dennis Gilmore
Modified: 2013-11-10 02:13 EST (History)
3 users (show)

See Also:
Fixed In Version: slic3r-0.9.10b-5.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 02:13:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-08-05 16:30:02 EDT
Your package slic3r failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5771593

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Fedora End Of Life 2013-09-16 12:00:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Miro Hrončok 2013-09-17 06:34:40 EDT
Affects both Rawhide and F20.
Comment 3 Miro Hrončok 2013-10-16 10:00:12 EDT
*** Bug 1019827 has been marked as a duplicate of this bug. ***
Comment 4 Miro Hrončok 2013-10-18 09:32:43 EDT
So this might not be related to missing perl-Language-Expr at all :(
It kight be related to perl-Moo, I'll investigate.
Comment 6 Fedora Update System 2013-10-18 19:49:46 EDT
slic3r-0.9.10b-5.fc20,perl-Role-Tiny-1.003002-1.fc20,perl-Moo-1.003001-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/slic3r-0.9.10b-5.fc20,perl-Role-Tiny-1.003002-1.fc20,perl-Moo-1.003001-2.fc20
Comment 7 Fedora Update System 2013-10-19 14:31:58 EDT
Package slic3r-0.9.10b-5.fc20, perl-Role-Tiny-1.003002-1.fc20, perl-Moo-1.003001-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing slic3r-0.9.10b-5.fc20 perl-Role-Tiny-1.003002-1.fc20 perl-Moo-1.003001-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19510/slic3r-0.9.10b-5.fc20,perl-Role-Tiny-1.003002-1.fc20,perl-Moo-1.003001-2.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-11-10 02:13:11 EST
slic3r-0.9.10b-5.fc20, perl-Role-Tiny-1.003002-1.fc20, perl-Moo-1.003001-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.